%define oname gmime
%define	major 2
%define apiver 2.4
%define libname %mklibname %{oname} %{apiver} %{major}
%define develname %mklibname %{oname} %{apiver} -d

%define build_mono 1

%ifarch %mips %arm
%define build_mono 0
%endif

%define _gtkdocdir	%{_datadir}/gtk-doc/html
%{expand:%%define _aclocaldir %(aclocal --print-ac-dir 2>/dev/null)}

%define _requires_exceptions libgmime
Summary:		The libGMIME library
Name:			gmime2.4
Version:		2.4.32
Release:		%mkrel 1
License:		LGPLv2+
Group:			System/Libraries
URL:			http://spruce.sourceforge.net/gmime
Source0:		http://ftp.gnome.org/pub/GNOME/sources/%oname/%{oname}-%{version}.tar.xz
Patch0: gmime-2.4.28-glib-deprecation.patch
BuildRequires:		glib2-devel
BuildRequires:		gtk-doc
BuildRequires:		libz-devel
%if %{build_mono}
BuildRequires:		mono-devel
BuildRequires:		gtk-sharp2-devel
BuildRequires:		gtk-sharp2
%endif
#gw: autoconf:
BuildRequires:		gettext-devel
Buildroot:		%{_tmppath}/%{name}-%{version}-buildroot

%description
This library allows you to manipulate MIME messages.

%package -n %{name}-utils
Summary:	Utilities using the libGMIME library
Group:		File tools
Requires:	%{libname} = %{version}-%{release}
Conflicts: %{oname}-utils

%description -n %{name}-utils
This package contains gmime-uudecode and gmime-uuencode and will 
allow you to manipulate MIME messages. These utilities can also be
used instead of uudecode and uuencode from the sharutils package. 

%package -n %{libname}
Summary:	The libGMIME library
Group:		System/Libraries
Obsoletes:	%mklibname %{oname} 2.0
Provides:	%mklibname %{oname} 2.0
Provides:	lib%{oname} = %{version}-%{release}

%description -n %{libname}
This library allows you to manipulate MIME messages.

%package -n %{develname}
Summary:	Development library and header files for the lib%{name} library
Group:		Development/C
Provides:	lib%{name}-devel
Provides:	%{name}-devel
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%mklibname %{oname} 2.0 -d
Provides:	%mklibname %{oname} 2.0 -d

%description -n %{develname}
This package contains the lib%{name} development library and its header files.

%if %{build_mono}
%package sharp
Summary:	GMIME# bindings for mono
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description sharp
This library allows you to manipulate MIME messages.
%endif

%prep

%setup -q -n %oname-%version
%apply_patches

autoreconf -fi

%build

%configure2_5x \
	--with-html-dir=%{_gtkdocdir} \
	--enable-gtk-doc

#gw parallel build broken in 2.1.15
# (tpg) mono stuff doesn't like parallel build, this solves it
%(echo %make|perl -pe 's/-j\d+/-j1/g')

%check
make check

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%makeinstall_std

# cleanup
rm -f %{buildroot}%{_libdir}/gmimeConf.sh

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib*%{apiver}.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc AUTHORS ChangeLog PORTING README TODO
%{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/gmime-%{apiver}.pc
%{_includedir}/*
%doc %{_gtkdocdir}/*

%if %{build_mono}
%files sharp
%defattr(-,root,root)
%{_prefix}/lib/mono/gac/%{oname}-sharp
%{_prefix}/lib/mono/%{oname}-sharp-%{apiver}
%{_libdir}/pkgconfig/%{oname}-sharp-%{apiver}.pc
%endif


%changelog
* Sun Feb 19 2012 Götz Waschk <waschk@mandriva.org> 2.4.32-1mdv2012.0
+ Revision: 777358
- remove utils
- remove install workaround
- update to new version 2.4.32

* Sun Jan 08 2012 Götz Waschk <waschk@mandriva.org> 2.4.31-1
+ Revision: 758703
- fix installation
- update to new version 2.4.31

* Sat Dec 24 2011 Götz Waschk <waschk@mandriva.org> 2.4.30-1
+ Revision: 744997
- update to new version 2.4.30

* Mon Dec 19 2011 Götz Waschk <waschk@mandriva.org> 2.4.29-1
+ Revision: 743668
- remove libtool archives
- new version

* Mon Nov 07 2011 Götz Waschk <waschk@mandriva.org> 2.4.28-1
+ Revision: 725778
- fix build with glib 2.31
- update to new version 2.4.28
- update to new version 2.4.27

* Mon Aug 29 2011 Götz Waschk <waschk@mandriva.org> 2.4.26-2
+ Revision: 697367
- fork gmime 2.4
- update to new version 2.4.26
- new version
- xz tarball
- update to new version 2.4.24
- update to new version 2.4.23
- update to new version 2.4.22
- update to new version 2.4.21
- update to new version 2.4.20
- update to new version 2.4.19
- update to new version 2.4.18
- new version
- drop patch
- update to new version 2.4.15
- update to new version 2.4.13
- update to new version 2.4.12
- update to new version 2.4.11
- update to new version 2.4.10
- update to new version 2.4.9
- update to new version 2.4.8
- update to new version 2.4.7
- fix source URL
- new version
- new api
- fix format strings
- update file list
- revert to 2.2
- new version
- new version
- new version
- new version
- new version
- new version
- new version
- new version
- new version
- new version
- new version
- new version
- new version
- really fix gmime-sharp deps
- fix deps of the sharp package
- new version
- fix buildrequires
- new version
- drop build dep on libunicode-devel
- new version

  + Oden Eriksson <oeriksson@mandriva.com>
    - mass rebuild

  + Funda Wang <fwang@mandriva.org>
    - rebuild for new mono

  + Frederik Himpe <fhimpe@mandriva.org>
    - update to new version 2.4.14

  + Olivier Blin <blino@mandriva.org>
    - disable mono on mips (from Arnaud Patard) and arm
    - restore BuildRoot

  + mandrake <mandrake@mandriva.com>
    - %repsys markrelease
      version: 2.2.23
      release: 1mdv2009.0
      revision: 284737
      Copying 2.2.23-1mdv2009.0 to releases/ directory.

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - fix obsoletes and provides for main library
    - correct libification (wrong major)
    - make use of %%major in file list
    - remove buildrequires on auto* stuff
    - add necessary provides/obsoletes
    - use perl hack for parallel build
    - fix file list
    - new license policy
    - new devel library policy
    - fix mixture of tabs and spaces

